
QGIS Application - Bug report #17444

GeoNode data provider completely ignores authentication
Status: Closed

Priority: High

Assignee:

Category: Data Provider/GeoNode

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25341

Description

Authentication implementation in GeoNode provider is completely missing, the GUI is in place but connected to nothing.

QgsGeoNodeRequest::requestUrl is probably the place where authentication should be injected (there are plenty of examples in the other

providers).

Associated revisions

Revision 364ddc1d - 2017-11-15 10:55 AM - Tim Sutton 

Fix #17444 : GeoNode data provider completely ignores authentication (#5634)

    -  Fix #17444 : GeoNode data provider completely ignores authentication - hide the authentication group until GeoNode API supports authentication.

History

#1 - 2017-11-14 11:09 PM - Tim Sutton

I have added a proposed fix for this here: https://github.com/qgis/QGIS/pull/5634 which hides the auth group box for GeoNode connections.

#2 - 2017-11-15 10:55 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|364ddc1de462b6ebca9903b896d4cc492b929cb3.
